import java.io.File;
import java.io.IOException;
import java.util.Scanner;
import java.util.regex.Pattern;
import java.util.regex.Matcher;

/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private String hamletData;


    public HamletParser(){
        this.hamletData = loadFile();
    }

    private String loadFile(){
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource("hamlet.txt").getFile());
        StringBuilder result = new StringBuilder("");

        try(Scanner scanner = new Scanner(file)){
            while(scanner.hasNextLine()){
                String line = scanner.nextLine();
                result.append(line).append("\n");
            }

            scanner.close();
        }catch(IOException e){
            e.printStackTrace();
        }

        return result.toString();
    }

    public String getHamletData(){
        return hamletData;
    }

    public String replaceHamlet(){
        Pattern hamletPattern = Pattern.compile("(Hamlet)", Pattern.CASE_INSENSITIVE);
        Matcher hamletMatcher = hamletPattern.matcher(hamletData);
        hamletData = hamletMatcher.replaceAll("Leon");
        return hamletData;

    }


    public String replaceHoratio(){
        Pattern horatioPattern = Pattern.compile("(Horatio)", Pattern.CASE_INSENSITIVE);
        Matcher horatioMatcher = horatioPattern.matcher(hamletData);
        hamletData = horatioMatcher.replaceAll("Tariq");
        return hamletData;

    }

    public static void main(String[] args) {
        HamletParser hamlet1 = new HamletParser();
        hamlet1.replaceHamlet();
        System.out.print(hamlet1.getHamletData());
        hamlet1.replaceHoratio();
        System.out.print(hamlet1.getHamletData());
    }





}
