import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;
import java.util.regex.Pattern;
import java.util.regex.Matcher;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testReplaceHamlet() {

        hamletText = hamletParser.replaceHamlet();
        Pattern hamletPatternTest = Pattern.compile("(Hamlet)", Pattern.CASE_INSENSITIVE);
        Matcher hamletMatcherTest = hamletPatternTest.matcher(hamletText);

        Assert.assertFalse(hamletMatcherTest.find());

    }

    @Test
    public void testReplaceHoratio() {

        hamletText = hamletParser.replaceHoratio();
        Pattern horatioPatternTest = Pattern.compile("(Horatio)", Pattern.CASE_INSENSITIVE);
        Matcher horatioMatcherTest = horatioPatternTest.matcher(hamletText);


        Assert.assertFalse(horatioMatcherTest.find());
    }



}